Subject: [mpls] Re: RFC3630 - Local and Remote Interface IP address

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 17 Sep 2006 10:31:31 +0100

Hi Vijay,

OSPF-TE implementers may wish to disagree with me on this, but I think 
Dimitri's definitive statement does not cover the basic reasoning for this 
feature.

While it is true that one can use multiple link addresses to identify 
multiple component links, I think that the multiplicity of link addresses is 
provided in this RFC so that a single TE link may support multiple 
interfaces. This is an implementation choice, and may be advantageous in 
some cases.

If the multiple link addresses are used to identify multiple component 
links, then I would expect a 1:1 correspondence between the link ends. If 
the addresses are used to identify different interfaces to the same link 
then I would not necessarily expect a 1:1 correspondence.

In answer to your most recent questions:

> Section 2.4.2 of rfc3630 says: "The Link TLV describes a single link."

And so it does.
It describes a single TE link.
A link bundle is still a single TE link, but it is made up of multiple 
component links that are not identified as TE links in their own right.

> Section 2.5.3 of rfc3630 says: "The Local Interface IP Address sub-TLV
> specifies the IP address(es) of the interface corresponding to this link."
>
> Section 2.5.4 of rfc3630 says: "The Remote Interface IP Address sub-TLV
> specifies the IP address(es) of the neighbor's interface corresponding to
> this link."

As above

> Doesn't this mean the Local and Remote Interface IP Address sub-TLV
> corresponds to just ONE TE-Link?

Yes, it does.

> There is no mention of "components" anywhere in this document. Even in
> rfc4201, it is not clear that when multiple (component) TE-Links are
> aggregated as a single numbered bundled link, there can be more than one
> Interface IP address used for Local and Remote Interface IP Address.
>
> Could you please provide a reference where this is clarified as the mean 
> for
> advertising multiple components at once.

I don't think you will find such a reference.
What is clear is that an implementation MAY assign multiple interface IP 
addresses.
Therefore, there is nothing to stop an implementation using the component 
link identifiers as the set of interface IP addresses.
Since each component link is in just one bundle, the use of a component link 
identifier uniquely identifies the bundle.
This mechanism of advertising is, therefore, a clever way of advertising 
bundle membership information to the neighbor.

If you want a more definitive statement of how this can work, you should 
probably develop an Applicability Statement I-D.

Regards,
Adrian

> Thanks and best regards,
>
> Vijay
>
>
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]
> Sent: Thursday, July 06, 2006 1:57 AM
> To: Pandian, Vijay
> Subject: Re: RFC3630 - Local and Remote Interface IP address
>
>
> hi vijay - this was meant for advertizing multiple components at once
>
>
>
>
> "Pandian, Vijay" <[email-masked]>
> Sent by: [email-masked]
> 06/07/2006 02:56
>
>        To:     [email-masked]
>        cc:     [email-masked], [email-masked]
>        Subject:        RFC3630 - Local and Remote Interface IP address
>
>
> Section 2.5.3 indicates that there can be more than one Local Interface IP
> address assigned to a (numbered) TE-Link. Similarly, section 2.5.4
> indicates that there can be more than one Remote Interface IP Address
> assigned to a (numbered) TE-Link.
>
> Is there any requirement that the number of Local Interface IP address
> assigned to a given TE-link match the number of Remote Interface IP
> address.
>
> Specifically, can a TE-Link have just one Local Interface IP address but
> multiple Remote Interface IP Address or vice-versa?
>
> Best regards,
>
> Vijay
>
>
>
> 

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: [email-masked]
Date: Sun, 17 Sep 2006 11:48:55 +0200

adrian 

point is that one can have two different readings of these sentences 

either one assigns multiple IP addresses and configures a specific map of 
these addresses to components (e.g. sub-interfaces)
or it is meant just to assign multiple IP addresses to an interface 
independently of this segmentation

however, there is no bundling concept in this ref. or equivalently the 
bundling RFC maps a single (composed) TE link to a TE link (with specific 
aggregation rules when it comes to TE attributes) that is RFC4201 uses a 
single value for the link local/remote address/interface associated to the 
bundle

thanks,
- d.

"Adrian Farrel" <[email-masked]>
17/09/2006 11:31
Please respond to "Adrian Farrel"
 
        To:     "Pandian, Vijay" <[email-masked]>, Dimitri 
PAPADIMITRIOU/BE/ALCATEL@ALCATEL
        cc:     <[email-masked]>, <[email-masked]>, <[email-masked]>
        Subject:        Re: RFC3630 - Local and Remote Interface IP 
address

Hi Vijay,

feature.

While it is true that one can use multiple link addresses to identify 
multiple component links, I think that the multiplicity of link addresses 
is 
provided in this RFC so that a single TE link may support multiple 
interfaces. This is an implementation choice, and may be advantageous in 
some cases.

And so it does.

As above

Yes, it does.

Since each component link is in just one bundle, the use of a component 
link 

Regards,
Adrian